(* uiWindow.ml     Wrapper for Cocoa Touch UIWindow
 *
 * Copyright (c) 2014 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _frame : nativeint -> float * float * float * float =
    "UIWindow_frame"
external _rootViewController : nativeint -> Ui.portlandViewController =
    "UIWindow_rootViewController"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method frame = _frame self#contents
    method rootViewController = _rootViewController self#contents
    end

let _wrap robjcv = new t robjcv

let () = Callback.register "UiWindow.wrap" _wrap

let nil = _wrap 0n
